### Hierarchy

- Wallet

## Index

### Constructors

- constructor

### Properties

- addrsAccounts
- checkAddrsAccounts
- indexAccounts
- length

### Methods

- add
- clear
- create
- decrypt
- encrypt
- findSafeIndex
- getAccounts
- remove

## Constructors

### constructor

- new Wallet(): Wallet

- - Defined in cs/wallet/index.ts:18

  #### Returns Wallet

## Properties

### addrsAccounts

addrsAccounts: Map<string, WalletAccountObject>

- Defined in cs/wallet/index.ts:17

### checkAddrsAccounts

checkAddrsAccounts: Map<string, WalletAccountObject>

- Defined in cs/wallet/index.ts:18

### indexAccounts

indexAccounts: Map<number, WalletAccountObject>

- Defined in cs/wallet/index.ts:16

### length

length: number

- Defined in cs/wallet/index.ts:15

## Methods

### add

- add(account: any): WalletAccountObject

- - Defined in cs/wallet/index.ts:78

  Add a account to the wallet by private key or account object

  ### Example

      chainstack.cs.wallet.add(privateKey)
      => [Account Object]

  #### Parameters

  - ##### account: any

    private key or account object

  #### Returns WalletAccountObject

### clear

- clear(): this

- - Defined in cs/wallet/index.ts:136

  Clear all account of wallet accounts

  ### Example

      chainstack.cs.wallet.clear()

  #### Returns this

### create

- create(numberOfAccounts: number): this

- - Defined in cs/wallet/index.ts:58

  Create a certain number of accounts

  ### Example

      chainstack.cs.wallet.create(count, entropy)
      // => Wallet

  #### Parameters

  - ##### numberOfAccounts: number

  #### Returns this

### decrypt

- decrypt(encryptedWallet: EncryptResult[], password: string): this

- - Defined in cs/wallet/index.ts:155

  Decrypt the encrypted wallet accounts array and add to wallet accounts

  ### Example

      chainstack.cs.wallet.decrypt([EncryptResult, ...], password)

  #### Parameters

  - ##### encryptedWallet: EncryptResult[]

  - ##### password: string

  #### Returns this

### encrypt

- encrypt(password: string, options?: EncryptOptions): EncryptResult[]

- - Defined in cs/wallet/index.ts:182

  Return a encryped result of the wallet accounts

  ### Example

      chainstack.cs.accounts.wallet.encrypt(password, encryptOptions)
      // => [EncryptResult, ...]

  #### Parameters

  - ##### password: string

    encrypte password

  - ##### Optional options: EncryptOptions

    encrypt options

  #### Returns EncryptResult[]

  a encrypted result of the accounts

### Private findSafeIndex

- findSafeIndex(): number

- - Defined in cs/wallet/index.ts:190

  #### Returns number

### getAccounts

- getAccounts(indexOrAddress: number | string): WalletAccountObject

- - Defined in cs/wallet/index.ts:38

  Get account by the index or address

  ### Example

      chainstack.cs.wallet.getAccounts(indexOrAddress)
      // =>

  #### Parameters

  - ##### indexOrAddress: number | string

  #### Returns WalletAccountObject

### remove

- remove(indexOrAddress: number | string): boolean

- - Defined in cs/wallet/index.ts:109

  Remove a account of wallet accounts by address or index

  ### Example

      chainstack.cs.wallet.remove(indexOrAddress)

  #### Parameters

  - ##### indexOrAddress: number | string

  #### Returns boolean

Generated using TypeDoc